{{title='Failure Data–Technical'}}
{{icon="enterdata"}}
{{chosenUseCase = db(db.t_applicationselection).select().first().as_dict()["f_name"]}}
{{goals = db(db.t_goals).select().first().as_dict()}}
<head>
    <link rel="stylesheet" type="text/css" href="{{=URL('static','css/popup.css')}}">
</head>
{{extend 'dataInputLayout.html'}}
<body>
    {{if chosenUseCase == "agv":}}
        {{=form.custom.begin}}
    <div class="formInputs">
        {{if (goals['f_flex'] or goals['f_prod'] or goals['f_qual'] or goals['f_safe'] or goals['f_sus'] or goals['f_util'] or goals['f_npv'] or goals['f_roi'] or goals['f_opexp'] or goals['f_pb']):}}
            <div id="t_technicalFailureData_f_felongterm_ttr_label"><div class="qmarkBefore" id="felongterm_ttr">&#8505</div>
                {{=form.custom.label.f_felongterm_ttr}}:<span id="t_technicalFailureData_f_felongterm_ttr_description"> Time to repair a single long-term failure</span>
            </div><div>{{=form.custom.widget.f_felongterm_ttr}} {{=form.custom.comment.f_felongterm_ttr}}</div>
        {{pass}}
    </div>
    <div class="formButtonsDiv">
        <div id="backToMain"><a href="{{=backUrl}}" class="button">Back</a></div>
        {{=form.custom.submit}}
    </div>
        {{=form.custom.end}}
    {{else:}}
        {{=form.custom.begin}}
    <div class="formInputs">
        {{if (goals['f_safe']):}}
            <div id="t_technicalFailureData_f_feaccidents_label"><div class="qmarkBefore" id="feaccidents">&#8505</div>
                {{=form.custom.label.f_feaccidents}}:<span id="t_technicalFailureData_f_feaccidents_description"> Number of failures per day that are caused by collision of work piece </span>
            </div><div>{{=form.custom.widget.f_feaccidents}} {{=form.custom.comment.f_feaccidents}}</div>
        {{pass}}
        {{if (goals['f_flex'] or goals['f_prod'] or goals['f_qual'] or goals['f_safe'] or  goals['f_sus'] or goals['f_util'] or goals['f_npv'] or goals['f_roi'] or goals['f_opexp'] or goals['f_pb']):}}
            <div id="t_technicalFailureData_f_fetoolbreakage_ttr_label"><div class="qmarkBefore" id="fetoolbreakagettr">&#8505</div>
                {{=form.custom.label.f_fetoolbreakage_ttr}}:<span id="t_technicalFailureData_f_fetoolbreakage_ttr_description"> Time to repair a single long-term failure</span>
            </div><div>{{=form.custom.widget.f_fetoolbreakage_ttr}} {{=form.custom.comment.f_fetoolbreakage_ttr}}</div>
        {{pass}}
    </div>
    <div class="formButtonsDiv">
        <div id="backToMain"><a href="{{=backUrl}}" class="button">Back</a></div>
        {{=form.custom.submit}}
    </div>
        {{=form.custom.end}}
    {{pass}}
    {{message=""}}
</body>
